# UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_audio_tab

class AudioTestPattern(enum.IntEnum):

Describes available values for audio test pattern.

OperatorSpecificWaveform = <AudioTestPattern.OperatorSpecificWaveform: 0>
SawtoothWaveform = <AudioTestPattern.SawtoothWaveform: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class AudioDpChannelsConfig:

Class `AudioDp14ChannelsConfig` allows working with audio channel configurations.

- Get Channel count `channels_count`.
- Select type of audio channel `select_channels`.

List of audio channel types:

- FL+FR
- RL+RR
- FLH+FRH
- TC
- LFE
- RLC+RRC
- FLW+FRW
- FHC
- FC
- RC
- FLC+FRC

AudioDpChannelsConfig(parameters)
channels_count: int

Get channels count.

###### Returns:

> object of int type

def select_channels(self, channels: List[str], enable: bool):

Set channels types.

###### Arguments:

- channels (list[str])
- enable (bool)

def clear_all(self):

Clear channel count and configs.

class AudioSourceDpSettingTabBase:
AudioSourceDpSettingTabBase( min_sample_rate, max_sample_rate, min_ch_config_min_rate, max_ch_config_min_rate, min_ch_config_max_rate, max_ch_config_max_rate, audio_pattern, sample_size)
min_sample_rate: int

Set and get minimum sample rate.

###### Returns:

> object of int type

max_sample_rate: int

Set and get maximum sample rate.

###### Returns:

> object of int type

min_ch_config_min_rate: AudioDpChannelsConfig

Get object of config minimum channels and minimum sample rate.

###### Returns:

> object of `AudioDp14ChannelsConfig` type

max_ch_config_min_rate: AudioDpChannelsConfig

Get object of config maximum channels and minimum sample rate.

###### Returns:

> object of `AudioDp14ChannelsConfig` type

min_ch_config_max_rate: AudioDpChannelsConfig

Get object of config minimum channels and maximum sample rate.

###### Returns:

> object of `AudioDp14ChannelsConfig` type

max_ch_config_max_rate: AudioDpChannelsConfig

Get object of config maximum channels and maximum sample rate.

###### Returns:

> object of `AudioDp14ChannelsConfig` type

audio_pattern

Set and get audio pattern.

###### Returns:

> object of `AudioTestPattern` type

sample_size: int

Set and get sample size.

###### Returns:

> object of int type

def clear_all(self):

Clear all settings.

class AudioSourceDp14SettingTab(AudioSourceDpSettingTabBase):

Class `AudioSourceDp14SettingTab` allows working with audio parameters for DP 1.4 DP LLCTS tests.

- Set and get minimum sample rate `min_sample_rate`.
- Set and get maximum sample rate `max_sample_rate`.
- Set and get minimum channels and minimum sample rate `min_ch_config_min_rate` type `AudioDp14ChannelsConfig`.
- Set and get maximum channels and minimum sample rate `max_ch_config_min_rate` type `AudioDp14ChannelsConfig`.
- Set and get minimum channels and maximum sample rate `min_ch_config_max_rate` type `AudioDp14ChannelsConfig`.
- Set and get maximum channels and maximum sample rate `max_ch_config_max_rate` type `AudioDp14ChannelsConfig`.
- Set and get audio pattern `audio_pattern` type `AudioTestPattern`.
- Set and get sample `sample_size``.

AudioSourceDp14SettingTab(json_obj)

##### Inherited Members

AudioSourceDpSettingTabBase
  min_sample_rate
  max_sample_rate
  min_ch_config_min_rate
  max_ch_config_min_rate
  min_ch_config_max_rate
  max_ch_config_max_rate
  audio_pattern
  sample_size
  clear_all

class AudioSourceDp21SettingTab(AudioSourceDpSettingTabBase):

Class `AudioSourceDp21SettingTab` inherited of class`AudioSourceDp14SettingTab` allows working with audio parameters for DP 1.4 DP LLCTS tests. Class `AudioSourceDp21SettingTab` has all the `AudioSourceDp14SettingTab` functionality.

AudioSourceDp21SettingTab(json_obj)

##### Inherited Members

AudioSourceDpSettingTabBase
  min_sample_rate
  max_sample_rate
  min_ch_config_min_rate
  max_ch_config_min_rate
  min_ch_config_max_rate
  max_ch_config_max_rate
  audio_pattern
  sample_size
  clear_all